Subject: Re: Emacs commit ae963e80a79f5a9184daabfc8197f211a39b136d (sieve-manage)

From: "Herbert J. Skuhra" <[email-masked]>
Date: Wed, 18 Jan 2023 19:28:40 +0100

On Wed, Jan 18, 2023 at 10:09:33AM +0100, Kai Tetzlaff wrote:
> Hello Herbert,
> 
> it seems that I'm responsible for this issue. Unfortunately, I cannot
> reproduce it with my imap/sieve server setup. However, if you're willing
> to provide some additional info, we should hopefully be able to find the
> bug.

Hello, 

this is strange because I can reproduce it easily on different systems:

- master on FreeBSD 13.1-STABLE 
- emacs-29 and master on macOS 12.6.2
- master on WLS2/Windows11 (Ubuntu)

> "Herbert J. Skuhra" writes:
> > I think commit ae963e80a79f5a9184daabfc8197f211a39b136d is causing the
> > following issue: 
> >
> > 1. build master or emacs-29
> > 2. run emacs -Q
> > 3. M-x sieve-manage and enter imap server.
> In my case, after entering the server address, I do get prompted for a
> username followed by a password prompt.
> 
> > The following error is displayed:
> >   sieve-manage: Connecting to <imap server>...
> >   sieve-manage--message: Wrong type argument: stringp, t
> > 4. Repeat step 3 and this time sieve-manage will connect and prompt for username/password
> As I wrote above, I already get these prompts after 3. So somehow, my
> setup is different from the one you're using. What imap server are you using?
> Is the connection to the server using SSL/TLS (in my case it is)?

I use imap.mailbox.org and the connection is encrypted (using STARTTLS).
But tcpdump doesn't capture any packets when I run sieve-manage for the
first time.

> Could you re-run the steps above with the following additional steps
> before 3.:
> 
> 2a) M-x find-library sieve-manage
> 2b) M-x eval-buffer
> 2c) M-x find-library sieve
> 2d) M-x eval-buffer
> 2e) M-x toggle-debug-on-error
> 
> to get a full backtrace and send it to me?

Backtrace attached.

On Wed, Jan 18, 2023 at 10:09:33AM +0100, Kai Tetzlaff wrote:
> Hello Herbert,
> 
> a small update: Please also send the content of the '*sieve-manage-log*'
> buffer.

There is no *sieve-manage-log* buffer after running sieve-manage for the
first time.

> (I also added a - hopefully working - email address for Lars.)

Sorry, copy&paste error. :-( 

Thanks.

-- 
Herbert